Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class WithinMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.WithinMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

public class WithinMatcher
extends MatcherHelper

Comment

Version:
  $Revision: 1.8 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`WithinMatcher(Advisor advisor, AccessibleObject behavior, ASTStart start)`
`WithinMatcher(Advisor advisor, javassist.CtBehavior behavior, ASTStart start)`

Method Summary
`Class` | `getDeclaringClass()`
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTConstructor node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`
`Object` | `visit(ASTWithincode node, Object data)`
`Object` | `visit(ASTWithin node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WithinMatcher

    public WithinMatcher(Advisor advisor,
                         javassist.CtBehavior behavior,
                         ASTStart start)
                  throws javassist.NotFoundException

### WithinMatcher

    public WithinMatcher(Advisor advisor,
                         AccessibleObject behavior,
                         ASTStart start)

Method Detail

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Specified by:
    `resolvePointcut` in class `MatcherHelper`

### getDeclaringClass

    public Class getDeclaringClass()

### visit

    public Object visit(ASTWithin node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTWithincode node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTMethod node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTConstructor node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.